import React from "react";
import { reduxForm, Field } from "redux-form";
import authValidate from "../../utils/validate";
import AuthButtons from './authButtons'

const Form = props => {
    const { handleSubmit, getUsersData, pristine } = props
    const submit = (values) => {
        getUsersData(values);
    }
    return (
        <div className=".formdiv">
            <AuthButtons />
            <form className="form" onSubmit={handleSubmit(submit)}>
                <div>
                    <div>
                        <Field
                            name="email"
                            component="input"
                            type="Емейл"
                            placeholder="email@example.com"
                            className="input"
                        />
                    </div>
                    <div>
                        <Field
                            name="password"
                            component="input"
                            type="password"
                            placeholder="Пароль"
                            className="input"
                        />
                    </div>
                </div>
                <div>
                    <button type="submit" className="button" disabled={pristine}>Отправить</button>
                </div>
            </form>
        </div>
    );
}

export default reduxForm({ form: "authForm", validate: authValidate })(Form);